TORRUS_COLLECTOR(8)

NAME
collector - Torrus data Collector.

SYNOPSIS
torrus collector --tree=TREENAME [options...]

DESCRIPTION
This command starts the Collector process for the tree TREENAME. By default it forks into a daemon, and sleeps until the next cycle in its schedule.

Collector cycle scheduling is controlled by two parameters defined for each individual configuration leaf: "collector-period" and "collector-timeoffset". See the Torrus Configuration Guide for more details.

The number of OID (Object IDentifier) variable bindings sent by Collector is controlled by the datasource parameter "snmp-oids-per-pdu". It is set to a default value of 40 in snmp-defs.xml, and may be overwritten at the host level.

OPTIONS

--instance=N
    Defines the collector instance. A single tree can allow more than one collector instance. The number of instances is defined in "run" hash in the torrus-siteconfig.pl's %Torrus::Global::treeConfig. If the number of instances is more than one, this option is mandatory. The collecting job is split between the instances, and normally all instances should be started by the startup scripts. The tree should be re-compiled after the number of instances is changed in the siteconfig. In the example below the tree tree_A will be served by three collector instances:

      %Torrus::Global::treeConfig = (
        'tree_A' => {
          'description' => 'The First Tree',
          'xmlfiles' => [qw(a1.xml a2.xml a3.xml)],
          'run' => { 'collector' => 3, 'monitor' => 1 } },
       );

--nodaemon
    Prevents the process from becoming a daemon and sets the log to STDERR.

--runonce
    Instructs the collector to run once and exit. Implies --nodaemon.

--runalways
    Instructs the collector process to continue running even if no collector datasources are defined in the tree. In this case, the process will check once per hour if the configuration has changed.

--debug
    Sets the log level to debug.

--verbose
    Sets the debug level to info.

--help
    Displays a help message.

FILES

/etc/torrus/conf/torrus-siteconfig.pl
    Torrus site configuration script.

/usr/share/torrus/xmlconfig/snmp-defs.xml
    Basic variable definitions for the SNMP collector.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>